Subject: bug#48111: tilde in Go package names (eg. sourcehut hosted packages)

From: raingloom <[email-masked]>
Date: Thu, 29 Apr 2021 19:54:15 +0200

Trying to import kineto and getting this error when building it:

guix build: error: invalid character `~' in name
`go-git-sr-ht-~sircmpwn-kineto-0.0.0-20210225135222-edd4fe31f16f-checkout.drv'

I know the names are significant in go-build-system so I'm not sure how
to work around the issue without breaking anything.